PDA

View Full Version : installing mondrian



asim73
09-20-2003, 08:47 PM
I tried the first method described in mondrian
documentation to install mondrian
i completed all steps to install m but when
i run it on browser , it gives an error page
that mondrian does not exist. But mondrian.war
is in webapps folder
can anyone help

ebengtso
09-21-2003, 08:20 AM
1. have you tried to deploy another web application besides mondrian in tomcat?
2. if yes, has tomcat created a mondrian folder in your webapps folder?
3. do you have an error message in the tomcat console?

malheiros
09-21-2003, 01:17 PM
Hit
http://localhost:8080/mondrian-0.5.

asim73
09-21-2003, 07:06 PM
Yes other applications are running sucessfuly
Yes tomcat created mondrian folder
There is no error message in tomcat console
i have donwloaed mondrian latest release that
is 1.0
Please holp

jhyde
09-21-2003, 07:20 PM
What happens if you go to
http://localhost/mondrian/index.jsp
?
Are there any errors in Tomcat's log?
Are you running Java 1.4.1 and Tomcat 4.1.24 or later?

jhyde
09-21-2003, 07:22 PM
Oops, I mean, what happens if you go to
http://localhost:8080/mondrian/index.jsp
?

asim73
09-21-2003, 08:38 PM
I am using jdk 1.3
and tomcat 4.1.12
the error page says
description The requested resource (/mondrian/index.jsp) is not available
Here is a cut/paste from my log file
2003-09-22 11:03:50 StandardManager[/mondrian]: Seeding of random number generator has been completed
2003-09-22 11:03:50 StandardContext[/mondrian]: Exception sending context initialized event to listener instance of class mondrian.web.taglib.Listener
java.lang.NoClassDefFoundError: javax/xml/transform/TransformerConfigurationException
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:120)
at mondrian.web.taglib.Listener.contextInitialized(Listener.java:37)

ebengtso
09-21-2003, 08:53 PM
You need to update your Xalan/Xerces
http://xml.apache.org/
I think, if you just update your Tomcat to 4.1.27 it will work.

jhyde
09-22-2003, 05:47 AM
You also need to be on JDK 1.4 or later; the instructions are explicit about this.